Update edge active event severity by alarm type
put
/topology/v2/edge/activeEvent/eid/{eid}/severity/{severity}
Updates edge active event max severity (planned vs unplanned) for the given edge entity id.
Request
Path Parameters
-
eid(required): string
The entityId of the edge
-
severity(required): string
The severity label (e.g. CRITICAL, MAJOR, WARNING, CLEARED).
Query Parameters
-
alarmType(required): string
Alarm type: Planned or Unplanned (case-insensitive).
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Edge updated successfully
Root Schema : schema
Type:
Show Source
object-
autoSuggestName: string
-
availableCapacity: boolean
-
businessObjectClass: string
-
capacities: array
capacities
-
channels: array
channels
-
costValue1: number
(double)
-
costValue2: number
(double)
-
costValue3: number
(double)
-
createdDate: string
(date)
Example:
2022-03-10 -
createdUser: string
-
edgeType: string
-
entityId: integer
(int64)
-
entityVersion: integer
(int32)
-
fromNode: integer
(int64)
-
fromNodeBusinessObjectClass: string
-
fromNodeCapacityConsumed: number
(float)
-
fromNodeData: string
-
fromNodeId: string
-
fromNodeReferenceId: string
-
id: string
-
inventoryStatus: string
-
isChannelized: boolean
-
isPipeInterfaceTerminated: boolean
-
lastModifiedDate: string
(date)
Example:
2022-03-10 -
lastModifiedUser: string
-
maxBandwidth: number
-
maxContiguousChannels: integer
(int32)
-
name: string
-
nativeEMSName: string
-
pathIds: array
pathIds
Unique Items Required:
true -
plannedActiveEvent: integer
(int64)
-
properties: object
properties
Additional Properties Allowed: additionalProperties
-
protectedEdge: boolean
-
ratecode: string
-
referenceId: integer
(int64)
-
ringName: string
-
specName: string
-
technology: string
-
toNode: integer
(int64)
-
toNodeBusinessObjectClass: string
-
toNodeCapacityConsumed: number
(float)
-
toNodeData: string
-
toNodeId: string
-
toNodeReferenceId: string
-
totalCapacity: number
-
trailPaths: integer
(int32)
-
unitBitRate: number
-
unplannedActiveEvent: integer
(int64)
400 Response
The request isn't valid
401 Response
The request is unauthorized
403 Response
The request is forbidden
404 Response
The requested resource not found
500 Response
An Internal Server Error has occurred